#player_wrap {
    position: relative;
    width: 100%;
    /* height: 100%; */
    height: 600px;
    /* padding-bottom: 56.25%; */
}

#player_wrap iframe {
    /* position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%; */
    position: absolute;
    top: 0;
    left: 0;
    /* transform: translateY(-50%); */
    width: 100%;
    height: 100%;
    z-index: 0;
}
#player_wrap_teacher {
    position: relative;
    width: 100%;
    height: 250px;
}
#player_wrap_teacher iframe {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 100%;
}
#player_wrap_teacher_mobile {
    position: relative;
    width: 100%;
    height: 400px;
}
#player_wrap_teacher_mobile iframe {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 100%;
}
.none {
    display: none !important;
    /* border: 1px solid red; */
}
/* s */
.countDown_wrapper {
    /* border: 1px solid red; */
    position: absolute;
    top: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.5;
}
.countDown img {
    /* border: 1px solid red; */
    position: absolute;
    height: 30%;
    /* width: 30%; */
    left: 50%;
    top: 50%;
    z-index: 999;
    transform: translate(-50%, -50%);
}
#uploadProgress {
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fe7523;
    padding: 5px 10px;
    text-align: center;
    border-radius: 4px;
}
.hint {
    /* border: 1px solid red; */
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(25, 24, 27, 0.8);
    border-radius: 4px;
    font-family: "Noto Sans TC";
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    color: #ffffff;
    padding: 10px 22px;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
}
@media (max-width: 991px) {
    .countDown img {
        /* width: 100%; */
    }
    #player_wrap,
    #player_wrap_teacher_mobile {
        height: 400px;
    }
    #player_wrap iframe {
        height: 100%;
    }
}
@media (max-width: 480px) {
    #player_wrap,
    #player_wrap_teacher_mobile {
        height: 300px;
    }
}
@media (max-width: 380px) {
    #player_wrap,
    #player_wrap_teacher_mobile {
        height: 200px;
    }
}
#teacher_btn {
    display: none;
}
.teacher_btn_open {
    display: none;
    position: relative;
    width: 30px;
    height: 12px;
    background: #f74768;
    border-radius: 100px;
    margin: 0 0 0 4px;
}
.teacher_btn_close {
    position: relative;
    width: 30px;
    height: 12px;
    background: #c4c4c4;
    border-radius: 100px;
    margin: 0 0 0 4px;
}
.teacher_btn_close img {
    position: absolute;
    left: -5px;
    top: -5px;
}
.teacher_btn_open img {
    position: absolute;
    right: -5px;
    top: -5px;
}
#teacher_btn:checked ~ .teacher_btn_open {
    display: block;
}
#teacher_btn:checked ~ .teacher_btn_close {
    display: none;
}
#fullscreen {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 999;
    cursor: pointer;
}
.teacher_video_mobile {
    display: none;
}
@media (max-width: 991px) {
    #fullscreen {
        display: none;
    }
    .disabled {
        display: none !important;
    }
    .teacher_video_mobile {
        display: block;
    }
}
.en {
    margin-bottom: 8px;
    font-size: 18px;
}
.tw {
    font-size: 14px;
}
